<ui:composition xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:rich="http://richfaces.org/rich" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body">
        <s:decorate template="/browsing/browserTemplate.xhtml">
            <ui:param name="managedBean" value="#{awosBrowser}"/>
            <ui:define name="additionalFilters">
                <div class="row col-lg-6">
                    <s:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
                        <ui:param name="id" value="awosid"/>
                        <ui:define name="label">#{messages['gazelle.ordermanager.ContainerIdentifier']}</ui:define>
                        <h:inputText value="#{awosBrowser.containerIdentifier}" id="awosid"
                                     styleClass="form-control">
                            <a4j:ajax event="keyup" render="criteriaDiv"/>
                        </h:inputText>
                    </s:decorate>
                </div>
            </ui:define>
            <ui:define name="columns">
                <g:column>
                    <ui:define name="header">#{messages['gazelle.ordermanager.ContainerIdentifier']}</ui:define>
                    <h:outputText value="#{o.containerIdentifier}"/>
                </g:column>
                <g:column filterBy="#{'creator'}" sortBy="#{'creator'}" filterEvent="onkeyup">
                    <ui:define name="header">#{messages['gazelle.ordermanager.Creator']}</ui:define>
                    <h:outputText value="#{o.creator}"/>
                </g:column>
                <g:column sortBy="#{'lastChanged'}" sortOrder="#{dataTableStateHolder.sortOrders['lastChanged']}">
                    <ui:define name="header">#{messages['gazelle.ordermanager.CreationDate_2']}</ui:define>
                    <g:date value="#{o.lastChanged}"/>
                </g:column>
                <g:column>
                    <ui:define name="header">#{messages['users.Action']}</ui:define>
                    <div class="gzl-never-wrap">
                        <h:outputLink
                                value="#{applicationConfiguration.getValueOfVariable('application_url')}#{awosBrowser.getPermanentLink(o.id)}"
                                title="#{messages['gazelle.ordermanager.MoreDetails']}">
                            <s:span styleClass="gzl-icon-search "/>
                        </h:outputLink>
                        <a4j:commandLink action="#{awosBrowser.sendResults(o.id)}"
                                         rendered="#{o.simulatedActor.keyword.equals('ANALYZER')}"
                                         title="#{awosBrowser.getSendResultTitle()}">
                            <span class="gzl-icon-completed"/>
                        </a4j:commandLink>
                    </div>
                </g:column>
            </ui:define>
        </s:decorate>
    </ui:define>
</ui:composition>
